package com.engine.organization.entity.search.condition;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/08/14
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RangeCondition {
    private String label;
    private List<ConditionOption> options;
    private List<String> domkey;
    private Map<String, Object> selectLinkageDatas;
    private Integer labelcol;
    private Integer fieldcol;
    //private Integer showModel;
    private String com;

    public Integer getLabelcol() {
        if (null == labelcol) {
            return 6;
        }
        return labelcol;
    }

    public Integer getFieldcol() {
        if (null == fieldcol) {
            return 18;
        }
        return fieldcol;
    }
}
